package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Steperjj;
import com.realnet.basicp1.Services.SteperjjService ;










@RequestMapping(value = "/token/Steperjj")
 @CrossOrigin("*") 
@RestController
public class tokenFree_SteperjjController {
	@Autowired
	private SteperjjService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Steperjj")
		  public Steperjj Savedata(@RequestBody Steperjj data) {
		Steperjj save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Steperjj/{id}")
	public  Steperjj update(@RequestBody Steperjj data,@PathVariable Integer id ) {
		Steperjj update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Steperjj/getall/page")
	public Page<Steperjj> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Steperjj> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Steperjj")
	public List<Steperjj> getdetails() {
		 List<Steperjj> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Steperjj")
	public List<Steperjj> getallwioutsec() {
		 List<Steperjj> get = Service.getdetails();		
		return get;
}
@GetMapping("/Steperjj/{id}")
	public  Steperjj  getdetailsbyId(@PathVariable Integer id ) {
		Steperjj  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Steperjj/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}